#ifndef GesamtSpielerStatistik_H
#define GesamtSpielerStatistik_H

#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

class GesamtSpielerStatistik
{
private:
	int spielerNummer;
	Text *spielerName;
	Text *teamName;
	int spielerFarbe;
	int teamFarbe;
	int gewonneneRunden;
	int punkte;
	int linienLength;
	int zeitAmLeben;
	int zeitTod;
	int kills;
	int tode;
	int ref;

public:
	// Konstruktor
	GesamtSpielerStatistik();
	// Destruktor
	~GesamtSpielerStatistik();
	// nicht constant
	void initValues( InitDatei *dat );
	// constant
	int getSpielerNummer() const;
	Text *getSpielerName() const;
	Text *zSpielerName() const;
	Text *getTeamName() const;
	Text *zTeamName() const;
	int getSpielerFarbe() const;
	int getTeamFarbe() const;
	int getGewonneneRunden() const;
	int getPunkte() const;
	int getLinienLength() const;
	int getZeitAmLeben() const;
	int getZeitTod() const;
	int getKills() const;
	int getTode() const;
	// Reference Counting
	GesamtSpielerStatistik *getThis();
	GesamtSpielerStatistik *release();
};

#endif